package com.usky.pm.controller.web;


import com.usky.pm.service.PmReceiveService;
import com.usky.system.domain.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 报告接收表 前端控制器
 * </p>
 *
 * @author han
 * @since 2024-07-09
 */
@RestController
@RequestMapping("/pmReceive")
public class PmReceiveController {

    @Autowired
    private PmReceiveService pmReceiveService;

    @GetMapping("/updateReadFlag")
    public void updateReadFlag(Integer reportId){
        pmReceiveService.updateReadFlag(reportId);
    }

    @GetMapping("/deptTest")
    public List<SysUser> deptTest(Integer tenantId){
        return pmReceiveService.test(tenantId);
    }


}

